import type { AgentContactSharedActions, GeneralNotificationsSharedActions } from "@agentx/agentx";
import { AgentxService, Service } from "@agentx/agentx-services";
import { createJsApiLogger } from "./common/_logger";
import { ServiceChecker } from "./common/_service-shecker";
export declare class ActionsJsApi {
    private readonly logger;
    private readonly serviceChecker;
    private SERVICE?;
    private sourceActionsChannels;
    private destinationActionsChannels;
    private checkService;
    private lastReqTs;
    private lastReqN;
    private getNextReqId;
    constructor(config: {
        logger: ReturnType<typeof createJsApiLogger>;
        serviceChecker: ServiceChecker;
    });
    init(SERVICE?: AgentxService): void;
    cleanup(): void;
    fireGeneralSilentNotification(...args: GeneralNotificationsSharedActions.FireSilent.ReqPayloadParameters): void;
    fireGeneralAutoDismissNotification(...args: GeneralNotificationsSharedActions.FireAutoDismiss.ReqPayloadParameters): Promise<GeneralNotificationsSharedActions.FireAutoDismiss.ResPayloadParameters | undefined>;
    fireGeneralAcknowledgeNotification(...args: GeneralNotificationsSharedActions.FireAcknowledge.ReqPayloadParameters): Promise<GeneralNotificationsSharedActions.FireAcknowledge.ResPayloadParameters | undefined>;
    addCustomTask(...args: AgentContactSharedActions.AddCustomContact.ReqPayloadParameters): void;
    getTaskMap(): Promise<import("@agentx/agentx/dist/types/store/store-agent-contact").TaskMap | undefined>;
    getMediaTypeQueue(mediaType: string): Promise<import("@agentx/agentx/dist/types/store/store-agent-contact").TaskMap | undefined>;
    getToken(): Promise<string | undefined>;
    getIdleCodes(): Promise<Service.Aqm.Configs.Entity[] | undefined>;
    getWrapUpCodes(): Promise<Service.Aqm.Configs.WrapUpReason[] | undefined>;
}
export declare const createActionsJsApi: () => ActionsJsApi;
