import { AgentxService } from "@agentx/agentx-services";
import { createJsApiLogger } from "./_logger";
declare type AqmServiceEntities = AgentxService["aqm"]["agent"] | AgentxService["aqm"]["configs"] | AgentxService["aqm"]["contact"] | AgentxService["aqm"]["dialer"] | AgentxService["aqm"]["screenpop"];
declare type Events<Listeners> = keyof Listeners;
export declare class AqmServiceEntityEvents<Listeners> {
    private readonly logger;
    private aqmServiceEntity?;
    private aqmServiceEntityString?;
    isInited: boolean;
    constructor(config: {
        logger: ReturnType<typeof createJsApiLogger>;
    });
    init(config: {
        aqmServiceEntity: AqmServiceEntities;
        aqmServiceEntityString: string;
    }): void;
    cleanup(): void;
    private listeners;
    private listenersOnce;
    private _addEventListener;
    _removeEventListener<T extends Events<Listeners>>(eventName: T, listener: Listeners[T], isOnce: boolean): void;
    addEventListener<T extends Events<Listeners>>(eventName: T, listener: Listeners[T]): void;
    addOnceEventListener<T extends Events<Listeners>>(eventName: T, listener: Listeners[T]): void;
    removeEventListener<T extends Events<Listeners>>(eventName: T, listener: Listeners[T]): void;
    removeOnceEventListener<T extends Events<Listeners>>(eventName: T, listener: Listeners[T]): void;
    removeAllEventListeners(): void;
}
export {};
