import { AgentxService, Service } from "@agentx/agentx-services";
import { createJsApiLogger } from "./common/_logger";
import { AqmServiceEntityEvents } from "./common/_service-events";
import { ServiceChecker } from "./common/_service-shecker";
declare type Listeners = {
    eOutdialFailed: Parameters<AgentxService["aqm"]["dialer"]["eOutdialFailed"]["listen"]>[0];
};
declare type AqmDialerEvents = AqmServiceEntityEvents<Listeners>;
export declare class DialerJsApi {
    private readonly logger;
    private readonly aqmEvents;
    private SERVICE?;
    private readonly serviceChecker;
    private checkService;
    constructor(config: {
        logger: ReturnType<typeof createJsApiLogger>;
        aqmEvents: AqmDialerEvents;
        serviceChecker: ServiceChecker;
    });
    init(SERVICE?: AgentxService): void;
    cleanup(): void;
    startOutdial(p: {
        data: Service.Aqm.Dialer.tasks;
    }): Promise<import("@agentx/agentx-services/dist/types/core/aqm-reqs").Msg<{
        mediaResourceId: string;
        eventType: string;
        agentId: string;
        destAgentId: string;
        trackingId: string;
        consultMediaResourceId: string;
        interaction: Service.Aqm.Contact.Interaction;
        interactionId: string;
        orgId: string;
        owner: string;
        queueMgr: string;
        type: string;
        ronaTimeout?: number | undefined;
        isConsulted?: boolean | undefined;
        isConferencing: boolean;
        updatedBy?: string | undefined;
    }> | undefined>;
    addEventListener<T extends keyof Listeners>(eventName: T, listener: Listeners[T]): void;
    addOnceEventListener<T extends keyof Listeners>(eventName: T, listener: Listeners[T]): void;
    removeEventListener<T extends keyof Listeners>(eventName: T, listener: Listeners[T]): void;
    removeOnceEventListener<T extends keyof Listeners>(eventName: T, listener: Listeners[T]): void;
    removeAllEventListeners(): void;
}
export declare const createDialerJsApi: () => DialerJsApi;
export {};
