import { AgentxService } from "@agentx/agentx-services";
import { createJsApiLogger } from "./common/_logger";
import { AqmServiceEntityEvents } from "./common/_service-events";
import { ServiceChecker } from "./common/_service-shecker";
declare type Listeners = {
    eScreenPop: Parameters<AgentxService["aqm"]["screenpop"]["eScreenPop"]["listen"]>[0];
};
export declare class ScreenPopJsApi {
    private readonly logger;
    private readonly aqmEvents;
    private SERVICE?;
    private readonly serviceChecker;
    private checkService;
    constructor(config: {
        logger: ReturnType<typeof createJsApiLogger>;
        aqmEvents: AqmServiceEntityEvents<Listeners>;
        serviceChecker: ServiceChecker;
    });
    init(SERVICE?: AgentxService): void;
    cleanup(): void;
    addEventListener<T extends keyof Listeners>(eventName: T, listener: Listeners[T]): void;
    addOnceEventListener<T extends keyof Listeners>(eventName: T, listener: Listeners[T]): void;
    removeEventListener<T extends keyof Listeners>(eventName: T, listener: Listeners[T]): void;
    removeOnceEventListener<T extends keyof Listeners>(eventName: T, listener: Listeners[T]): void;
    removeAllEventListeners(): void;
}
export declare const createScreenPopJsApi: () => ScreenPopJsApi;
export {};
